# Translation of debian-faq manpage to European Portuguese
#
# Copyright (C) 2019 Free Software Foundation, Inc.
# This file is distributed under the same license as the debian-faq package.
#
# Américo Monteiro <a_monteiro@gmx.com>, 2019, 2021.
msgid ""
msgstr ""
"Project-Id-Version: debian-faq 11 pkg-basics\n"
"POT-Creation-Date: 2022-06-23 18:44+0200\n"
"PO-Revision-Date: 2021-11-07 23:07+0000\n"
"Last-Translator: Américo Monteiro <a_monteiro@gmx.com>\n"
"Language-Team: Portuguese <>\n"
"Language: pt\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
"X-Generator: Lokalize 20.12.0\n"

#. type: Content of: <chapter><title>
#: en/pkg-basics.dbk:8
msgid "Basics of the Debian package management system"
msgstr "Básicas do sistema de gestão de pacotes Debian"

#. type: Content of: <chapter><para>
#: en/pkg-basics.dbk:10
msgid ""
"This chapter touches on some lower level internals of Debian package "
"management.  If you're interested mainly in <emphasis>usage</emphasis> of "
"the relevant tools, skip to chapters <xref linkend=\"pkgtools\"/> and/or "
"<xref linkend=\"uptodate\"/>."
msgstr ""
"Este capítulo toca em alguns intervalos de baixo nível da gestão de pacotes "
"Debian. Se você está interessado principalmente na <emphasis>utilização</"
"emphasis> da ferramentas relevantes, salte para os capítulos <xref "
"linkend=\"pkgtools\"/> e/ou <xref linkend=\"uptodate\"/>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:15
msgid "What is a Debian package?"
msgstr "O que é um pacote Debian?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:17
msgid ""
"Packages generally contain all of the files necessary to implement a set of "
"related commands or features.  There are two types of Debian packages:"
msgstr ""
"Os pacotes geralmente contêm todos os ficheiros necessários a implementar um "
"conjunto de comandos ou funcionalidades relacionadas. Existem dois tipos de "
"pacotes Debian."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:23
msgid ""
"<emphasis>Binary packages</emphasis>, which contain executables, "
"configuration files, man/info pages, copyright information, and other "
"documentation.  These packages are distributed in a Debian-specific archive "
"format (see <xref linkend=\"deb-format\"/>); they are usually characterized "
"by having a '.deb' file extension.  Binary packages can be unpacked using "
"the Debian utility <literal>dpkg</literal> (possibly via a frontend like "
"<command>aptitude</command>); details are given in its manual page."
msgstr ""
"<emphasis>Pacotes Binários</emphasis>, que contêm executáveis, ficheiros de "
"configuração, manuais/paginas de informação, informação de copyright , e "
"outra documentação. Estes pacotes são distribuídos num formato de arquivo "
"específico de Debian (veja <xref linkend=\"deb-format\"/>); são geralmente "
"caracterizados ao terem uma extensão de ficheiro '.deb'. Pacotes binários "
"podem ser desempacotados usando o utilitário Debian <literal>dpkg</literal> "
"(possivelmente via um frontend como o <command>aptitude</command>); os "
"detalhes são dados no seu manual."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:34
msgid ""
"<emphasis>Source packages</emphasis>, which consist of a <literal>.dsc</"
"literal> file describing the source package (including the names of the "
"following files), a <literal>.orig.tar.gz</literal> file that contains the "
"original unmodified source in gzip-compressed tar format and usually a "
"<literal>.diff.gz</literal> file that contains the Debian-specific changes "
"to the original source.  The utility <literal>dpkg-source</literal> packs "
"and unpacks Debian source archives; details are provided in its manual "
"page.  (The program <command>apt-get</command> can be used as a frontend for "
"<literal>dpkg-source</literal>.)"
msgstr ""
"<emphasis>Pacotes Fonte</emphasis>, que consistem de um ficheiro <literal>."
"dsc</literal> que descreve o pacote fonte (incluindo os nomes dos seguintes "
"ficheiros), um ficheiro <literal>.orig.tar.gz</literal> que contém a fonte "
"original não modificada em formato tar comprimido com gzip e geralmente um "
"ficheiro <literal>.diff.gz</literal> que contém as alterações específicas de "
"Debian à fonte original. O utilitário <literal>dpkg-source</literal> "
"empacota e desempacota arquivos fonte Debian, os detalhes são fornecidos no "
"seu manual. (O programa <command>apt-get</command> pode ser usado como um "
"frontend para o <literal>dpkg-source</literal>.)"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:47
msgid ""
"Installation of software by the package system uses \"dependencies\" which "
"are carefully designed by the package maintainers.  These dependencies are "
"documented in the <literal>control</literal> file associated with each "
"package.  For example, the package containing the GNU C compiler "
"(<systemitem role=\"package\">gcc</systemitem>) \"depends\" on the package "
"<systemitem role=\"package\">binutils</systemitem> which includes the linker "
"and assembler.  If a user attempts to install <systemitem "
"role=\"package\">gcc</systemitem> without having first installed <systemitem "
"role=\"package\">binutils</systemitem>, the package management system (dpkg) "
"will send an error message that it also needs <systemitem "
"role=\"package\">binutils</systemitem>, and stop installing <systemitem "
"role=\"package\">gcc</systemitem>.  (However, this facility can be "
"overridden by the insistent user, see <citerefentry><refentrytitle>dpkg</"
"refentrytitle><manvolnum>8</manvolnum></citerefentry>.)  See more in <xref "
"linkend=\"depends\"/> below."
msgstr ""
"A instalação de software pelo sistema de pacotes usa \"dependências\" que "
"são designadas cuidadosamente pelos responsáveis dos pacotes. Estas "
"dependências estão documentadas no ficheiro <literal>control</literal> "
"associado a cada pacote. Por exemplo, o pacote que contém o compilador GNU C "
"(<systemitem role=\"package\">gcc</systemitem>) \"depende\" do pacote "
"<systemitem role=\"package\">binutils</systemitem> o qual inclui o "
"vinculador e assemblador. Se um utilizador tentar instalar o <systemitem "
"role=\"package\">gcc</systemitem> sem ter primeiro instalado o <systemitem "
"role=\"package\">binutils</systemitem>, o sistema de gestão de pacotes "
"(dpkg) irá enviar uma mensagem de erro de que também precisa do <systemitem "
"role=\"package\">binutils</systemitem>, e pára a instalação do <systemitem "
"role=\"package\">gcc</systemitem>.  (No entanto, esta funcionalidade pode "
"ser sobreposta por um utilizador insistente, veja "
"<citerefentry><refentrytitle>dpkg</refentrytitle><manvolnum>8</manvolnum></"
"citerefentry>.)  Veja mais em <xref linkend=\"depends\"/> em baixo."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:64
msgid "Debian's packaging tools can be used to:"
msgstr "As ferramentas de empacotamento de Debian podem ser usadas para:"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:69
msgid "manipulate and manage packages or parts of packages,"
msgstr "manipular e gerir pacotes ou partes de pacotes, "

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:74
msgid "administer local overrides of files in a package,"
msgstr "administrar sobreposições locais de ficheiros num pacote,"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:79
msgid "aid developers in the construction of package archives, and"
msgstr "ajudar desenvolvedores na construção de arquivos de pacotes, e"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:84
msgid ""
"aid users in the installation of packages which reside on a remote archive "
"site."
msgstr ""
"ajudar utilizadores na instalação de pacotes que residem num site arquivo "
"remoto."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:90
msgid "What is the format of a Debian binary package?"
msgstr "Qual é o formato de um pacote binário Debian?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:92
msgid ""
"A Debian \"package\", or a Debian archive file, contains the executable "
"files, libraries, and documentation associated with a particular suite of "
"program or set of related programs.  Normally, a Debian archive file has a "
"filename that ends in <literal>.deb</literal>."
msgstr ""
"Um \"pacote\" Debian, ou um ficheiro de arquivo Debian, contém os ficheiros "
"executáveis, bibliotecas, e documentação associada a uma suite de programa "
"particular ou a um conjunto de programas relacionados. Normalmente, um "
"ficheiro de arquivo Debian tem um nome de ficheiro que termina em <literal>."
"deb</literal>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:98
msgid ""
"The internals of this Debian binary packages format are described in the "
"<citerefentry><refentrytitle>deb</refentrytitle><manvolnum>5</manvolnum></"
"citerefentry> manual page.  This internal format is subject to change "
"(between major releases of &debian;), therefore please always use "
"<citerefentry><refentrytitle>dpkg-deb</refentrytitle><manvolnum>1</"
"manvolnum></citerefentry> if you need to do lowlevel manipulations on "
"<literal>.deb</literal> files."
msgstr ""
"O mecanismo interno deste formato de pacotes binários Debian está descrito "
"no manual <citerefentry><refentrytitle>deb</refentrytitle><manvolnum>5</"
"manvolnum></citerefentry>. Este formato interno está sugeito a alterações "
"(entre grandes lançamentos de &debian;), assim por favor use sempre o "
"<citerefentry><refentrytitle>dpkg-deb</refentrytitle><manvolnum>1</"
"manvolnum></citerefentry> se precisar fazer manipulações de baixo nível em "
"ficheiros <literal>.deb</literal>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:107
msgid "Why are Debian package file names so long?"
msgstr "Porque são os nomes dos ficheiros de pacotes Debian tão longos?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:109
msgid ""
"The Debian binary package file names conform to the following convention: "
"&lt;foo&gt;_&lt;VersionNumber&gt;-&lt;DebianRevisionNumber&gt;_&lt;"
"DebianArchitecture&gt;.deb"
msgstr ""
"Os nomes dos ficheiros de pacotes binários Debian estão em conformidade coma "
"seguinte convenção: &lt;foo&gt;_&lt;VersionNumber&gt;-&lt;"
"DebianRevisionNumber&gt;_&lt;DebianArchitecture&gt;.deb"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:113
msgid ""
"Note that <literal>foo</literal> is supposed to be the package name.  "
"Checking the package name associated with a particular Debian archive file (."
"deb file)  can be done in one of these ways:"
msgstr ""
"Note que <literal>foo</literal> é suposto ser o nome do pacote. Verificar o "
"nome de pacote associado a um ficheiro de arquivo Debian particular "
"(ficheiro .deb) pode ser feito de uma destas maneiras:"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:120
msgid ""
"inspect the \"Packages\" file in the directory where it was stored at a "
"Debian archive site.  This file contains a stanza describing each package; "
"the first field in each stanza is the formal package name."
msgstr ""
"inspecionar o ficheiro \"Packages\" no directório onde foi armazenado num "
"site de arquivo Debian. Este ficheiro contém uma estrofe que descreve cada "
"pacote; o primeiro campo de cada estrofe é o nome formal do pacote."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:127
msgid ""
"use the command <literal>dpkg --info foo_VVV-RRR_AAA.deb</literal> (where "
"VVV, RRR and AAA are the version, revision and architecture of the package "
"in question, respectively).  This displays, among other things, the package "
"name corresponding to the archive file being unpacked."
msgstr ""
"usar o comando <literal>dpkg --info foo_VVV-RRR_AAA.deb</literal> (onde VVV, "
"RRR e AAA são a versão, revisão e arquitectura do pacote em questão, "
"respetivamente). Isto mostra, entre outras coisas, o nome do pacote "
"correspondente ao ficheiro de arquivo a ser desempacotado."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:135
msgid ""
"The <literal>VVV</literal> component is the version number specified by the "
"upstream developer.  There are no standards in place here, so the version "
"number may have formats as different as \"19990513\" and \"1.3.8pre1\"."
msgstr ""
"O componente <literal>VVV</literal> é o número de versão especificado pelo "
"desenvolvedor original. Não existem standards aqui, assim o número de versão "
"pode ter formatos tão diferentes como  \"19990513\" e \"1.3.8pre1\"."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:140
msgid ""
"The <literal>RRR</literal> component is the Debian revision number, and is "
"specified by the Debian developer (or a user who chooses to rebuild the "
"package locally).  This number corresponds to the revision level of the "
"Debian package, thus, a new revision level usually signifies changes in the "
"Debian Makefile (<literal>debian/rules</literal>), the Debian control file "
"(<literal>debian/control</literal>), the installation or removal scripts "
"(<literal>debian/p*</literal>), or in the configuration files used with the "
"package."
msgstr ""
"O componente <literal>RRR</literal> é o número de revisão Debian, e é "
"especificado pelo desenvolvedor Debian (ou por um utilizador que escolheu "
"recompilar o pacote localmente). Este número corresponde ao nível de revisão "
"do pacote Debian, assim, um novo nível de revisão geralmente significa "
"alterações no Makefile de Debian (<literal>debian/rules</literal>), no "
"ficheiro de controle Debian (<literal>debian/control</literal>), nos scripts "
"de instalação ou remoção (<literal>debian/p*</literal>), ou nos ficheiros de "
"configuração usados com o pacote."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:150
msgid ""
"The <literal>AAA</literal> component identifies the processor for which the "
"package was built.  This is commonly <literal>amd64</literal>, which refers "
"to AMD64, Intel 64 or VIA Nano chips.  For other possibilities review "
"Debian's archive directory structure at <xref linkend=\"dirtree\"/>.  For "
"details, see the description of \"Debian architecture\" in the manual page "
"<citerefentry><refentrytitle>dpkg-architecture</refentrytitle><manvolnum>1</"
"manvolnum></citerefentry>."
msgstr ""
"O componente <literal>AAA</literal> identifica o processador para o qual o "
"pacote foi compilado. Isto é geralmente <literal>amd64</literal>, que se "
"refere a chips AMD64, Intel 64 ou VIA Nano. Para outras possibilidades "
"reveja a estrutura de directórios do arquivo de Debian em <xref "
"linkend=\"dirtree\"/>. Para detalhes, veja a descrição de \"arquitectura de "
"Debian\" no manual <citerefentry><refentrytitle>dpkg-architecture</"
"refentrytitle><manvolnum>1</manvolnum></citerefentry>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:159
msgid "What is a Debian control file?"
msgstr "O que é um ficheiro de controle Debian?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:161
msgid ""
"Specifics regarding the contents of a Debian control file are provided in "
"the Debian Policy Manual, section 5, see <xref linkend=\"debiandocs\"/>."
msgstr ""
"Especificações respeitantes ao conteúdo de um ficheiro de controle Debian "
"são fornecidas no Manual Debian Policy, secção 5, veja <xref "
"linkend=\"debiandocs\"/>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:165
msgid ""
"Briefly, a sample control file is shown below for the Debian package hello:"
msgstr ""
"Abreviadamente, um exemplo de ficheiro de controle é mostrado em baixo para "
"o pacote Debian hello:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:168
#, no-wrap
msgid ""
"Package: hello\n"
"Version: 2.9-2+deb8u1\n"
"Architecture: amd64\n"
"Maintainer: Santiago Vila &lt;sanvila@debian.org&gt;\n"
"Installed-Size: 145\n"
"Depends: libc6 (>= 2.14)\n"
"Conflicts: hello-traditional\n"
"Breaks: hello-debhelper (&lt;&lt; 2.9)\n"
"Replaces: hello-debhelper (&lt;&lt; 2.9), hello-traditional\n"
"Section: devel\n"
"Priority: optional\n"
"Homepage: https://www.gnu.org/software/hello/\n"
"Description: example package based on GNU hello\n"
" The GNU hello program produces a familiar, friendly greeting.  It\n"
" allows non-programmers to use a classic computer science tool which\n"
" would otherwise be unavailable to them.\n"
" .\n"
" Seriously, though: this is an example of how to do a Debian package.\n"
" It is the Debian version of the GNU Project's \"hello world\" program\n"
" (which is itself an example for the GNU Project).\n"
msgstr ""
"Package: hello\n"
"Version: 2.9-2+deb8u1\n"
"Architecture: amd64\n"
"Maintainer: Santiago Vila &lt;sanvila@debian.org&gt;\n"
"Installed-Size: 145\n"
"Depends: libc6 (>= 2.14)\n"
"Conflicts: hello-traditional\n"
"Breaks: hello-debhelper (&lt;&lt; 2.9)\n"
"Replaces: hello-debhelper (&lt;&lt; 2.9), hello-traditional\n"
"Section: devel\n"
"Priority: optional\n"
"Homepage: https://www.gnu.org/software/hello/\n"
"Description: example package based on GNU hello\n"
" The GNU hello program produces a familiar, friendly greeting.  It\n"
" allows non-programmers to use a classic computer science tool which\n"
" would otherwise be unavailable to them.\n"
" .\n"
" Seriously, though: this is an example of how to do a Debian package.\n"
" It is the Debian version of the GNU Project's \"hello world\" program\n"
" (which is itself an example for the GNU Project).\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:190
msgid ""
"The Package field gives the package name.  This is the name by which the "
"package can be manipulated by the package tools, and usually similar to but "
"not necessarily the same as the first component string in the Debian archive "
"file name."
msgstr ""
"O campo Package dá o nome do pacote. Este é o nome pelo qual o pacote pode "
"ser manipulado pelas ferramentas de pacotes, e é geralmente semelhante mas "
"não necessariamente igual à primeira string de componente no nome de "
"ficheiro no arquivo Debian."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:196
msgid ""
"The Version field gives both the upstream developer's version number and (in "
"the last component) the revision level of the Debian package of this program "
"as explained in <xref linkend=\"pkgname\"/>."
msgstr ""
"O campo Version fornece ambos o número de versão do desenvolvedor original e "
"(no último componente) o nível de revisão do pacote Debian deste programa "
"como explicado em <xref linkend=\"pkgname\"/>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:201
msgid ""
"The Architecture field specifies the chip for which this particular binary "
"was compiled."
msgstr ""
"O campo Architecture especifica o chip para o qual este binário particular "
"foi compilado."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:205
msgid ""
"The Depends field gives a list of packages that have to be installed in "
"order to install this package successfully."
msgstr ""
"O campo Depends dá uma lista de pacotes que têm de ser instalados de modo a "
"se instalar este pacote com sucesso."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:209
msgid ""
"The Installed-Size indicates how much disk space the installed package will "
"consume.  This is intended to be used by installation front-ends in order to "
"show whether there is enough disk space available to install the program."
msgstr ""
"O Installed-Size indica quanto espaço de disco irá consumir o pacote "
"instalado. Isto destina-se a ser usado por programas front-end de instalação "
"de modo a mostrar se há espaço de disco disponível suficiente para instalar "
"o programa."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:214
msgid ""
"The Section line gives the \"section\" where this Debian package is stored "
"at the Debian archive sites."
msgstr ""
"A linha Section dá a \"secção\" onde este pacote Debian está armazenado nos "
"sites arquivo Debian."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:218
msgid ""
"The Priority indicates how important is this package for installation, so "
"that semi-intelligent software like apt or aptitude can sort the package "
"into a category of e.g. packages optionally installed.  See <xref "
"linkend=\"priority\"/>."
msgstr ""
"Priority indica quão importante é este pacote para instalação, para que "
"software semi-inteligente como o apt ou o aptitude possam ordenar o pacote "
"numa categoria de, por exemplo, pacotes instalados opcionalmente. Veja <xref "
"linkend=\"priority\"/>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:224
msgid ""
"The Maintainer field gives the e-mail address of the person who is currently "
"responsible for maintaining this package."
msgstr ""
"O campo Maintainer dá o endereço de e-mail da pessoa que é o actual "
"responsável pela manutenção deste pacote."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:228
msgid "The Description field gives a brief summary of the package's features."
msgstr "O campo Description dá um sumário breve das funcionalidades do pacote."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:231
msgid ""
"For more information about all possible fields a package can have, please "
"see the Debian Policy Manual, section 5, \"Control files and their fields\", "
"see <xref linkend=\"debiandocs\"/>."
msgstr ""
"Para mais informação sobre todos os campos possíveis que um pacote pode ter, "
"por favor veja o Manual de Política Debian, secção 5, \"Ficheiros de "
"controle e seus campos\", veja <xref linkend=\"debiandocs\"/>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:237
msgid "What is a Debian conffile?"
msgstr "O que é um conffile Debian?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:239
msgid ""
"Conffiles is a list of configuration files (usually placed in <literal>/etc</"
"literal>) that the package management system will not overwrite when the "
"package is upgraded.  This ensures that local values for the contents of "
"these files will be preserved, and is a critical feature enabling the in-"
"place upgrade of packages on a running system."
msgstr ""
"Conffiles é uma lista de ficheiros de configuração (geralmente colocados em "
"<literal>/etc</literal>) que o sistema de gestão de pacotes não irá "
"sobrescrever quando o pacote é actualizado. Isto assegura que valores locais "
"nos conteúdos destes ficheiros serão preservados, e é uma funcionalidade "
"crítica que permite a actualização de pacotes no-local num sistema em "
"funcionamento."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:246
msgid "To determine exactly which files are preserved during an upgrade, run:"
msgstr ""
"Para determinar exactamente quais ficheiros são preservados durante uma "
"actualização, corra:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:249
#, no-wrap
msgid "dpkg --status package\n"
msgstr "dpkg --status package\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:252
msgid "And look under \"Conffiles:\"."
msgstr "E veja sob \"Conffiles:\"."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:256
msgid "What is a Debian preinst, postinst, prerm, and postrm script?"
msgstr "O que é um script Debian preinst, postinst, prerm, e postrm?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:258
msgid ""
"These files are executable scripts which are automatically run before or "
"after a package is installed or removed.  Along with a file named "
"<literal>control</literal>, all of these files are part of the \"control\" "
"section of a Debian archive file."
msgstr ""
"Estes ficheiros são scripts executáveis que são corridos automaticamente "
"antes ou depois de um pacote ser instalado ou removido. Juntamente com um "
"ficheiro chamado <literal>control</literal>, todos estes ficheiros fazem "
"parte da secção \"control\" de um ficheiro de arquivo Debian."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:264
msgid "The individual files are:"
msgstr "Os ficheiros individuais são:"

#. type: Content of: <chapter><section><variablelist><varlistentry><term>
#: en/pkg-basics.dbk:268
msgid "preinst"
msgstr "preinst"

#. type: Content of: <chapter><section><variablelist><varlistentry><listitem><para>
#: en/pkg-basics.dbk:271
msgid ""
"This script is executed before the package it belongs to is unpacked from "
"its Debian archive (\".deb\") file.  Many 'preinst' scripts stop services "
"for packages which are being upgraded until their installation or upgrade is "
"completed (following the successful execution of the 'postinst' script)."
msgstr ""
"Este script é executado antes do pacote a que pertence ser desempacotado do "
"seu ficheiro (*.deb) de arquivo Debian. Muitos scripts 'preinst' param "
"serviços para pacotes que estão a ser actualizados até que a sua instalação "
"ou actualização esteja completa (seguindo a execução com sucesso do script "
"'postinst')."

#. type: Content of: <chapter><section><variablelist><varlistentry><term>
#: en/pkg-basics.dbk:279
msgid "postinst"
msgstr "postinst"

#. type: Content of: <chapter><section><variablelist><varlistentry><listitem><para>
#: en/pkg-basics.dbk:282
msgid ""
"This script typically completes any required configuration of the package "
"<literal>foo</literal> once <literal>foo</literal> has been unpacked from "
"its Debian archive (\".deb\") file.  Often, 'postinst' scripts ask users for "
"input, and/or warn them that if they accept default values, they should "
"remember to go back and re-configure that package as needed.  Many "
"'postinst' scripts then execute any commands necessary to start or restart a "
"service once a new package has been installed or upgraded."
msgstr ""
"Este script tipicamente completa qualquer configuração requerida do pacote "
"<literal>foo</literal> onde <literal>foo</literal> foi desempacotado do seu "
"ficheiro de arquivo Debian (\".deb\"). Muitas vezes, os scripts 'postinst' "
"pedem aos utilizadores para inserirem dados, e/ou avisa-los que se aceitaram "
"valores predefinidos devem lembrar-se de voltar atrás e re-configurar o "
"pacote se necessário. Muitos scripts 'postinst' então executam quaisquer "
"comandos necessários para iniciar ou reiniciar um serviço assim que um novo "
"pacote foi instalado ou actualizado."

#. type: Content of: <chapter><section><variablelist><varlistentry><term>
#: en/pkg-basics.dbk:293
msgid "prerm"
msgstr "prerm"

#. type: Content of: <chapter><section><variablelist><varlistentry><listitem><para>
#: en/pkg-basics.dbk:296
msgid ""
"This script typically stops any daemons which are associated with a "
"package.  It is executed before the removal of files associated with the "
"package."
msgstr ""
"Este script tipicamente pára quaisquer daemons que estão associados com um "
"pacote. É executado antes da remoção de ficheiros associados ao pacote."

#. type: Content of: <chapter><section><variablelist><varlistentry><term>
#: en/pkg-basics.dbk:302
msgid "postrm"
msgstr "postrm"

#. type: Content of: <chapter><section><variablelist><varlistentry><listitem><para>
#: en/pkg-basics.dbk:305
msgid ""
"This script typically modifies links or other files associated with "
"<literal>foo</literal>, and/or removes files created by the package.  (Also "
"see <xref linkend=\"virtual\"/>.)"
msgstr ""
"Este script tipicamente modifica links ou outros ficheiros associados com "
"<literal>foo</literal>, e/ou remove ficheiros criados pelo pacote (Veja "
"também <xref linkend=\"virtual\"/>.)"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:313
msgid ""
"Currently all of the control files can be found in the directory <literal>/"
"var/lib/dpkg/info</literal>.  The files relevant to package <literal>foo</"
"literal> begin with the name \"foo\" and have file extensions of "
"\"preinst\", \"postinst\", etc., as appropriate.  The file <literal>foo."
"list</literal> in that directory lists all of the files that were installed "
"with the package <literal>foo</literal>.  (Note that the location of these "
"files is a dpkg internal; you should not rely on it.)"
msgstr ""
"Actualmente todos estes ficheiros de controle podem ser encontrados no "
"directório <literal>/var/lib/dpkg/info</literal>. Os ficheiros relevantes ao "
"pacote <literal>foo</literal> começam com o nome \"foo\" e têm as extensões "
"de ficheiro de \"preinst\", \"postinst\", etc., como apropriado. O ficheiro "
"<literal>foo.list</literal> nesse directório lista todos os ficheiros que "
"foram instalados com o pacote <literal>foo</literal>.  (Note que esta  "
"localização destes ficheiros é interna do dpkg; você não deve confiar nela.)"

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:323
msgid ""
"What is an <emphasis>Essential</emphasis>, <emphasis>Required</emphasis>, "
"<emphasis>Important</emphasis>, <emphasis>Standard</emphasis>, "
"<emphasis>Optional</emphasis>, or <emphasis>Extra</emphasis> package?"
msgstr ""
"O que é um pacote <emphasis>Essential</emphasis>, <emphasis>Required</"
"emphasis>, <emphasis>Important</emphasis>, <emphasis>Standard</emphasis>, "
"<emphasis>Optional</emphasis>, ou <emphasis>Extra</emphasis>?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:325
msgid ""
"Each Debian package is assigned a <emphasis>priority</emphasis> by the "
"distribution maintainers, as an aid to the package management system.  The "
"priorities are:"
msgstr ""
"A cada pacote Debian é atribuída uma <emphasis>priority</emphasis> pelos "
"responsáveis da distribuição, como uma ajuda ao sistema de gestão de "
"pacotes. Estas prioridades são:"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:332
msgid ""
"<emphasis role=\"strong\">Required</emphasis>: packages that are necessary "
"for the proper functioning of the system."
msgstr ""
"<emphasis role=\"strong\">Required</emphasis>: pacotes que são necessários "
"para o funcionamento correcto do sistema."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:336
msgid ""
"This includes all tools that are necessary to repair system defects.  You "
"must not remove these packages or your system may become totally broken and "
"you may probably not even be able to use dpkg to put things back.  Systems "
"with only the Required packages are probably unusable, but they do have "
"enough functionality to allow the sysadmin to boot and install more software."
msgstr ""
"Isto inclui todas as ferramentas que são necessárias para reparar defeitos "
"do sistema. Você não deve remover estes pacotes ou o seu sistema pode tornar-"
"se totalmente avariado e pode provavelmente nem ser possível usar o dpkg "
"para repor as coisas. Sistemas com apenas os pacotes Required são "
"provavelmente inúteis, mas têm funcionalidades suficientes para permitir ao "
"administrador de sistema arrancar e instalar mais software."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:345
msgid ""
"<emphasis role=\"strong\">Important</emphasis> packages should be found on "
"any Unix-like system."
msgstr ""
"<emphasis role=\"strong\">Important</emphasis> pacotes que devem ser "
"encontrados em qualquer sistema tipo Unix."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:349
msgid ""
"Other packages which the system will not run well or be usable without will "
"be here.  This does <emphasis>NOT</emphasis> include Emacs or X or TeX or "
"any other large application.  These packages only constitute the bare "
"infrastructure."
msgstr ""
"Estarão aqui outros pacotes sem os quais o sistema não funcionará bem ou não "
"será utilizável. Isto <emphasis>NÃO</emphasis> inclui Emacs ou X ou TeX ou "
"qualquer outra grande aplicação. Estes pacotes apenas constituem a "
"infraestrutura nua."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:357
msgid ""
"<emphasis role=\"strong\">Standard</emphasis> packages are standard on any "
"Linux system, including a reasonably small but not too limited character-"
"mode system.  Tools are included to be able to send e-mail (with mutt) and "
"download files from archive servers."
msgstr ""
"<emphasis role=\"strong\">Standard</emphasis> pacotes que são standard em "
"qualquer sistema Linux, incluindo um sistema de modo-de-caracteres "
"relativamente pequeno mas não muito limitado. Estão incluídas ferramentas "
"para ser capaz de enviar um e-mail (com o mutt) e descarregar ficheiros de "
"servidores de arquivo."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:363
msgid ""
"This is what will be installed by default if users do not select anything "
"else.  It does not include many large applications, but it does include the "
"Python interpreter and some server software like OpenSSH (for remote "
"administration)  and Exim (for mail delivery, although it can be configured "
"for local delivery only).  It also includes some common generic "
"documentation that most users will find helpful."
msgstr ""
"Isto é o que será instalado por predefinição se os utilizadores não "
"selecionarem mais nada. Não inclui muitas grandes aplicações, mas inclui o "
"interpretador de Python e algum software de servidor como OpenSSH (para "
"administração remota) e o Exim (para entrega de mail, apesar de poder ser "
"configurado apenas para entrega local). Também inclui alguma documentação "
"comum genérica que a maioria dos utilizadores irá achar uma ajuda."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:373
msgid ""
"<emphasis role=\"strong\">Optional</emphasis> packages include all those "
"that you might reasonably want to install if you do not know what they are, "
"or that do not have specialized requirements."
msgstr ""
"<emphasis role=\"strong\">Optional</emphasis> pacotes que incluem todos "
"aqueles que você pode ter razões para querer instalar se você souber o que "
"eles são, ou que não têm requerimentos especializados."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:378
msgid "This includes X, a full TeX distribution, and lots of applications."
msgstr ""
"Isto inclui o X, uma distribuição TeX completa, e muitas outras aplicações."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:383
msgid ""
"<emphasis role=\"strong\">Extra</emphasis>: packages that either conflict "
"with others with higher priorities, are only likely to be useful if you "
"already know what they are, or have specialized requirements that make them "
"unsuitable for \"Optional\"."
msgstr ""
"<emphasis role=\"strong\">Extra</emphasis>: pacotes que ou fazem conflito "
"com outros com prioridades maiores, e geralmente são apenas úteis se você já "
"souber o que eles são, ou têm requerimentos especializados que os tornam não "
"apropriados para \"Optional\"."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:391
msgid ""
"If you do a default Debian installation all the packages of priority "
"<emphasis role=\"strong\">Standard</emphasis> or higher will be installed in "
"your system.  If you select pre-defined tasks you will get lower priority "
"packages too."
msgstr ""
"Se você fizer uma instalação Debian predefinida, todos os pacotes de "
"prioridade <emphasis role=\"strong\">Standard</emphasis> ou superior serão "
"instalados no sue sistema. Se você selecionar tarefas pré-definidas irá "
"também obter pacotes de prioridade mais baixa."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:396
msgid ""
"Additionally, some packages are marked as <emphasis "
"role=\"strong\">Essential</emphasis> since they are absolutely necessary for "
"the proper functioning of the system.  The package management tools will "
"refuse to remove these."
msgstr ""
"Adicionalmente, alguns pacotes são marcados como <emphasis "
"role=\"strong\">Essential</emphasis> pois são absolutamente necessários para "
"o funcionamento apropriado do sistema. As ferramentas de gestão de pacotes "
"irão recusar remover estes."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:403
msgid "What is a Virtual Package?"
msgstr "O que é um Pacote Virtual?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:405
msgid ""
"A virtual package is a generic name that applies to any one of a group of "
"packages, all of which provide similar basic functionality.  For example, "
"both the <literal>konqueror</literal> and <literal>firefox-esr</literal> "
"programs are web browsers, and should therefore satisfy any dependency of a "
"program that requires a web browser on a system, in order to work or to be "
"useful.  They are therefore both said to provide the \"virtual package\" "
"called <literal>www-browser</literal>."
msgstr ""
"Um pacote virtual é um nome genérico que se aplica a qualquer um de um grupo "
"de pacotes, onde todos os quais fornecem uma funcionalidade básica "
"semelhante. Por exemplo, ambos programas <literal>konqueror</literal> e "
"<literal>firefox-esr</literal> são navegadores de web, e devem por isso "
"satisfazer qualquer dependência de um programa que requeira um navegador web "
"no sistema, de modo a funcionar ou a ser útil. São assim ambos ditos de "
"providenciar o \"pacote virtual\" chamado <literal>www-browser</literal>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:414
msgid ""
"Similarly, <literal>exim4</literal> and <literal>sendmail</literal> both "
"provide the functionality of a mail transport agent.  They are therefore "
"said to provide the virtual package \"mail-transport-agent\".  If either one "
"is installed, then any program depending on the installation of a "
"<literal>mail-transport-agent</literal> will be satisfied by the presence of "
"this virtual package."
msgstr ""
"De modo semelhante,  <literal>exim4</literal> e <literal>sendmail</literal> "
"ambos fornecem a funcionalidade de agente de transporte de mail. Assim é "
"dito que ambos fornecem o pacote virtual \"mail-transport-agent\".  Se um "
"deles for instalado, então qualquer programa que dependa da instalação de um "
"<literal>mail-transport-agent</literal> irá ficar satisfeito com a presença "
"deste pacote virtual."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:422
msgid ""
"Debian provides a mechanism so that, if more than one package which provide "
"the same virtual package is installed on a system, then system "
"administrators can set one as the preferred package.  The relevant command "
"is <literal>update-alternatives</literal>, and is described further in <xref "
"linkend=\"diverse\"/>."
msgstr ""
"Debian fornece um mecanismo para que, se mais do que um pacote que forneça o "
"mesmo pacote virtual esteja instalado num sistema, então os administradores "
"de sistema podem definir um como o pacote preferido. O comando relevante é "
"<literal>update-alternatives</literal>, e está melhor descrito em <xref "
"linkend=\"diverse\"/>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:430
msgid ""
"What is meant by saying that a package <emphasis>Depends</emphasis>, "
"<emphasis>Recommends</emphasis>, <emphasis>Suggests</emphasis>, "
"<emphasis>Conflicts</emphasis>, <emphasis>Replaces</emphasis>, "
"<emphasis>Breaks</emphasis> or <emphasis>Provides</emphasis> another package?"
msgstr ""
"O que significa dizer que um pacote <emphasis>Depends</emphasis>, "
"<emphasis>Recommends</emphasis>, <emphasis>Suggests</emphasis>, "
"<emphasis>Conflicts</emphasis>, <emphasis>Replaces</emphasis>, "
"<emphasis>Breaks</emphasis> ou <emphasis>Provides</emphasis> outro pacote?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:432
msgid ""
"The Debian package system has a range of package \"dependencies\" which are "
"designed to indicate (in a single flag) the level at which Program A can "
"operate independently of the existence of Program B on a given system:"
msgstr ""
"O sistema de pacotes de Debian tem uma gama de \"dependências\" de pacotes "
"que são desenhadas para indicar (numa única bandeira) o nível que cada "
"programa A pode operar independentemente da existência de programa B num "
"dado sistema:"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:439
msgid ""
"Package A <emphasis>depends</emphasis> on Package B if B absolutely must be "
"installed in order to run A.  In some cases, A depends not only on B, but on "
"a version of B.  In this case, the version dependency is usually a lower "
"limit, in the sense that A depends on any version of B more recent than some "
"specified version."
msgstr ""
"Pacote A <emphasis>depends (depende)</emphasis> de Pacote B se B tiver "
"absolutamente de ser instalado de modo a A correr. Em alguns casos, A não "
"depende apenas de B, mas duma versão de B. Neste caso, a dependência de "
"versão é geralmente um limite inferior, no sentido que A depende de qualquer "
"versão de B mais recente que alguma versão especificada."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:448
msgid ""
"Package A <emphasis>recommends</emphasis> Package B, if the package "
"maintainer judges that most users would not want A without also having the "
"functionality provided by B."
msgstr ""
"Pacote A <emphasis>recommends (recomenda)</emphasis> Pacote B, se o "
"responsável do pacote achar que a maioria dos utilizadores não vão querer A "
"sem terem a funcionalidade fornecida por B."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:455
msgid ""
"Package A <emphasis>suggests</emphasis> Package B if B contains files that "
"are related to (and usually enhance) the functionality of A."
msgstr ""
"Pacote A <emphasis>suggests (sugere)</emphasis> Pacote B Se B conter "
"ficheiros que estão relacionados com (e geralmente melhoram) as "
"funcionalidades de A."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:461
msgid ""
"Package A <emphasis>conflicts</emphasis> with Package B when A will not "
"operate if B is installed on the system.  Most often, conflicts are cases "
"where A contains files which are an improvement over those in B.  "
"\"Conflicts\" are often combined with \"replaces\"."
msgstr ""
"Pacote A <emphasis>conflicts (faz conflito)</emphasis> com Pacote B quando A "
"não irá operar se B estiver instalado no sistema. Mais comum, conflitos são "
"casos onde A contém ficheiros que são uma melhoria sobre aqueles em B. "
"\"Conflicts\" são muitas vezes combinados com \"replaces\"."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:469
msgid ""
"Package A <emphasis>replaces</emphasis> Package B when files installed by B "
"are removed and (in some cases) over-written by files in A."
msgstr ""
"Pacote A <emphasis>replaces (substitui)</emphasis> Pacote B quando ficheiros "
"instalados por B são removidos e (em alguns casos) sobrepostos por ficheiros "
"em A."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:475
msgid ""
"Package A <emphasis>breaks</emphasis> Package B when both packages cannot be "
"simultaneously configured in a system.  The package management system will "
"refuse to install one if the other one is already installed and configured "
"in the system."
msgstr ""
"Pacote A <emphasis>breaks (quebra)</emphasis> Pacote B quando ambos pacotes "
"não podem ser configurados em simultâneo num sistema. O sistema de gestão de "
"pacotes irá recusar instalar um se o outro já estiver instalado e "
"configurado no sistema."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:483
msgid ""
"Package A <emphasis>provides</emphasis> Package B when all of the files and "
"functionality of B are incorporated into A.  This mechanism provides a way "
"for users with constrained disk space to get only that part of package A "
"which they really need."
msgstr ""
"Pacote A <emphasis>provides (fornece)</emphasis> Pacote B quando todos os "
"ficheiros e funcionalidades de B estão incorporados em A. Este mecanismo "
"fornece uma maneira dos utilizadores que têm espaço de disco constrangido "
"obterem aquela parte do pacote A que realmente precisam."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:491
msgid ""
"More detailed information on the use of each of these terms can be found in "
"the Debian Policy manual, section 7.2, \"Binary Dependencies\", see <xref "
"linkend=\"debiandocs\"/>."
msgstr ""
"Mais informação detalhada sobre o uso de cada um destes termos pode ser "
"encontrada no manual Debian Policy, secção 7.2, \"Binary Dependencies\", "
"veja <xref linkend=\"debiandocs\"/>."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:497
msgid "What is meant by Pre-Depends?"
msgstr "O que significa Pre-Depends?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:499
msgid ""
"\"Pre-Depends\" is a special dependency.  In the case of most packages, "
"<literal>dpkg</literal> will unpack the archive file of a package (i.e., its "
"<literal>.deb</literal> file) independently of whether or not the files on "
"which it depends exist on the system.  Simplistically, unpacking means that "
"<literal>dpkg</literal> will extract the files from the archive file that "
"were meant to be installed on your file system, and put them in place.  If "
"those packages <emphasis>depend</emphasis> on the existence of some other "
"packages on your system, <literal>dpkg</literal> will refuse to complete the "
"installation (by executing its \"configure\" action) until the other "
"packages are installed."
msgstr ""
"\"Pre-Depends\" é uma dependência especial. No caso da maioria dos pacotes, "
"o <literal>dpkg</literal> irá desempacotar o ficheiro de arquivo de um "
"pacote (isto é, o seu ficheiro <literal>.deb</literal>) independentemente em "
"se sim ou não os ficheiros de que depende existem no sistema. De forma "
"simplista, desempacotar significa que o <literal>dpkg</literal> irá extrair "
"os ficheiros do ficheiro de arquivo que é suposto ser instalado no seu "
"sistema de ficheiros, e coloca-los nos seus lugares. Se esses pacotes "
"<emphasis>dependerem</emphasis> na existência de outros pacotes pacotes no "
"seu sistema, o <literal>dpkg</literal> irá recusar completar a instalação "
"(ao executar a sua acção \"configure\") até que os outros pacotes estejam "
"instalados."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:510
msgid ""
"However, for some packages, <literal>dpkg</literal> will refuse even to "
"unpack them until certain dependencies are resolved.  Such packages are said "
"to \"Pre-depend\" on the presence of some other packages.  The Debian "
"project provided this mechanism to support the safe upgrading of systems "
"from <literal>a.out</literal> format to <literal>ELF</literal> format, where "
"the <emphasis>order</emphasis> in which packages were unpacked was "
"critical.  There are other large upgrade situations where this method is "
"useful, e.g. the packages with the required priority and their LibC "
"dependency."
msgstr ""
"No entanto, para alguns pacotes, o <literal>dpkg</literal> irá recusar até "
"desempacota-los até que certas dependências estejam resolvidas. Tais pacotes "
"diz-se que \"Pré-dependem\" da presença de alguns outros pacotes. O projeto "
"Debian forneceu este mecanismo para suportar a actualização segura de "
"sistemas do formato <literal>a.out</literal> para formato <literal>ELF</"
"literal>, onde a <emphasis>ordem</emphasis> na qual os pacotes são "
"desempacotados é crítica. Existem outras situações de grandes actualizações "
"onde este método é útil, por exemplo, os pacotes com prioridade requerida e "
"a sua dependência na LibC."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:520
msgid ""
"As before, more detailed information about this can be found in the Policy "
"manual."
msgstr ""
"Como antes, mais informação detalhada sobre isto pode ser encontrada no "
"manual de Política."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:525
msgid ""
"What is meant by <emphasis>unknown</emphasis>, <emphasis>install</emphasis>, "
"<emphasis>remove</emphasis>, <emphasis>purge</emphasis> and <emphasis>hold</"
"emphasis> in the package status?"
msgstr ""
"O que significa <emphasis>unknown</emphasis>, <emphasis>install</emphasis>, "
"<emphasis>remove</emphasis>, <emphasis>purge</emphasis> e <emphasis>hold</"
"emphasis> no status do pacote?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:527
msgid ""
"These \"want\" flags tell what the user wanted to do with a package (as "
"indicated by the user's direct invocations of <literal>dpkg</literal>/"
"<literal>apt</literal>/ <literal>aptitude</literal>)."
msgstr ""
"Estas bandeiras \"quero\" dizem o que o utilizador quer fazer com um pacote "
"(como indicado por invocações directas do utilizador do <literal>dpkg</"
"literal>/<literal>apt</literal>/ <literal>aptitude</literal>)."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:532
msgid "Their meanings are:"
msgstr "Os seus significados são:"

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:537
msgid "unknown - the user has never indicated whether the package is wanted."
msgstr "unknown - o utilizador nunca indicou se o pacote é desejado."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:542
msgid "install - the user wants the package installed or upgraded."
msgstr "install - o utilizador quer o pacote instalado ou actualizado."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:547
msgid ""
"remove - the user wants the package removed, but does not want to remove any "
"existing configuration file."
msgstr ""
"remove - o utilizador quer o pacote removido, mas não quer remover qualquer "
"ficheiro de configuração existente."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:553
msgid ""
"purge - the user wants the package to be removed completely, including its "
"configuration files."
msgstr ""
"purge - o utilizador quer o pacote removido completamente, incluindo os seus "
"ficheiros de configuração."

#. type: Content of: <chapter><section><itemizedlist><listitem><para>
#: en/pkg-basics.dbk:559
msgid ""
"hold - the user wants this package not to be processed, i.e. wants to keep "
"the current version with the current status whatever that is."
msgstr ""
"hold - o utilizador não quer que este pacote seja processado, isto é, quer "
"manter a versão actual com o estado actual seja ele qual for."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:566
msgid "How do I put a package on hold?"
msgstr "Como pôr um pacote em hold?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:568
msgid ""
"There are three ways of holding back packages, with dpkg, apt or aptitude."
msgstr ""
"Existem três modos de manter pacotes em versões anteriores, com dpkg, apt ou "
"aptitude."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:571
msgid "With dpkg, you have to export the list of package selections, with:"
msgstr "Com o dpkg você tem de exportar a lista de selecção de pacotes, com:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:574
#, no-wrap
msgid "dpkg --get-selections \\* > selections.txt\n"
msgstr "dpkg --get-selections \\* > selections.txt\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:577
msgid ""
"Then edit the resulting file <filename>selections.txt</filename>, change the "
"line containing the package you wish to hold, e.g. <systemitem "
"role=\"package\">libc6</systemitem>, from this:"
msgstr ""
"Depois edite o ficheiro resultante <filename>selections.txt</filename>, "
"altere a linha que contém o pacote que deseja manter a versão, ex. "
"<systemitem role=\"package\">libc6</systemitem>, de isto:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:582
#, no-wrap
msgid "libc6                                           install\n"
msgstr "libc6                                           install\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:585
msgid "to this:"
msgstr "para isto:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:588
#, no-wrap
msgid "libc6                                           hold\n"
msgstr "libc6                                           hold\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:591
msgid "Save the file, and reload it into dpkg database with:"
msgstr "Grave o ficheiro, e recarregue-o na base de dados do dpkg com:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:594
#, no-wrap
msgid "dpkg --set-selections &lt; selections.txt\n"
msgstr "dpkg --set-selections &lt; selections.txt\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:597
msgid "With apt, you can set a package to hold using"
msgstr "Com o apt, você pode seleccionar um pacote para manter versão usando"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:600
#, no-wrap
msgid "apt-mark hold package_name\n"
msgstr "apt-mark hold nome_do_pacote\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:603 en/pkg-basics.dbk:615
msgid "and remove the hold with"
msgstr "e remover o hold com"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:606
#, no-wrap
msgid "apt-mark unhold package_name\n"
msgstr "apt-mark unhold nome_do_pacote\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:609
msgid "With aptitude, you can hold a package using"
msgstr "Com o aptitude, você pode manter a versão dum pacote usando"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:612
#, no-wrap
msgid "aptitude hold package_name\n"
msgstr "aptitude hold nome_do_pacote\n"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:618
#, no-wrap
msgid "aptitude unhold package_name\n"
msgstr "aptitude unhold nome_do_pacote\n"

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:622
msgid "How do I install a source package?"
msgstr "Como é que Eu instalo um pacote fonte?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:624
msgid ""
"Debian source packages can't actually be \"installed\", they are just "
"unpacked in whatever directory you want to build the binary packages they "
"produce."
msgstr ""
"Os pacotes fonte Debian não podem ser verdadeiramente \"instalados\", são "
"apenas desempacotados em qualquer directório que deseje para compilar os "
"pacotes binários que produzem."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:628
msgid ""
"Source packages are distributed on most of the same mirrors where you can "
"obtain the binary packages.  If you set up your APT's "
"<citerefentry><refentrytitle>sources.list</refentrytitle><manvolnum>5</"
"manvolnum></citerefentry> to include the appropriate \"deb-src\" lines, "
"you'll be able to easily download any source package by running"
msgstr ""
"Pacotes fonte são distribuídos na maioria nos mesmos espelhos onde você pode "
"obter os pacotes binários. Se você configurar o seu "
"<citerefentry><refentrytitle>sources.list</refentrytitle><manvolnum>5</"
"manvolnum></citerefentry> do APT para incluir as linhas \"deb-src\" "
"apropriadas, você irá ser capaz de facilmente descarregar qualquer pacote "
"fonte ao correr"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:635 en/pkg-basics.dbk:661
#, no-wrap
msgid "apt-get source foo\n"
msgstr "apt-get source foo\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:638
msgid ""
"To help you in actually building the source package, Debian source packages "
"provide the so-called build-dependencies mechanism.  This means that the "
"source package maintainer keeps a list of other packages that are required "
"to build their package.  To see how this is useful, run"
msgstr ""
"Para o ajudar a realmente compilar o pacote fonte, os pacotes fonte de "
"Debian fornecem o chamado mecanismo de dependências de compilação. Isto "
"significa que o responsável pelo pacote fonte mantém uma lista dos outros "
"pacotes que são requeridos para compilar o seu pacote. Para ver como isto é "
"útil, corra"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:644
#, no-wrap
msgid "apt-get build-dep foo\n"
msgstr "apt-get build-dep foo\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:647
msgid "before building the source."
msgstr "antes de compilar a fonte."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:651
msgid "How do I build binary packages from a source package?"
msgstr "Com é que Eu compilo pacotes binários a partir de um pacote fonte?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:653
msgid ""
"The preferred way to do this is by using various wrapper tools.  We'll show "
"how it's done using the <literal>devscripts</literal> tools.  Install this "
"package if you haven't done so already."
msgstr ""
"O modo preferido de fazer isto é usando várias ferramentas invólucro. Vamos "
"mostrar como isto é feito usando as ferramentas <literal>devscripts</"
"literal>. Instale este pacote se ainda não o fez."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:658
msgid "Now, first get the source package:"
msgstr "Agora, primeiro obtenha o pacote fonte:"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:664
msgid "and change to the source tree:"
msgstr "e mude para a árvore fonte:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:667
#, no-wrap
msgid "cd foo-*\n"
msgstr "cd foo-*\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:670
msgid "Then install needed build-dependencies (if any):"
msgstr ""
"Depois instale as dependências de compilação necessárias (se existirem):"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:673
#, no-wrap
msgid "sudo apt-get build-dep foo\n"
msgstr "sudo apt-get build-dep foo\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:676
msgid ""
"Then create a dedicated version of your own build (so that you won't get "
"confused later when Debian itself releases a new version):"
msgstr ""
"Depois crie uma versão dedicada da sua própria compilação (para que não "
"fique confuso mais tarde quando a própria Debian lançar uma nova versão):"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:680
#, no-wrap
msgid "dch -l local 'Blah blah blah'\n"
msgstr "dch -l local 'Bla bla bla'\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:683
msgid "And finally build your package:"
msgstr "E finalmente compile o seu pacote:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:686
#, no-wrap
msgid "debuild -us -uc\n"
msgstr "debuild -us -uc\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:689
msgid ""
"If everything worked out fine, you should now be able to install your "
"package by running"
msgstr ""
"Se tudo funcionou bem, você deve agora ser capaz de instalar o seu pacote ao "
"correr"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:693
#, no-wrap
msgid "sudo dpkg -i ../*.deb\n"
msgstr "sudo dpkg -i ../*.deb\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:696
msgid ""
"If you prefer to do things manually, and don't want to use "
"<literal>devscripts</literal>, follow this procedure:"
msgstr ""
"Se preferir fazer as coisas manualmente, e não desejar usar "
"<literal>devscripts</literal>, siga este procedimento:"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:700
msgid ""
"You will need all of foo_*.dsc, foo_*.tar.gz and foo_*.diff.gz to compile "
"the source (note: there is no .diff.gz for some packages that are native to "
"Debian)."
msgstr ""
"Se você precisar de todos os foo_*.dsc, foo_*.tar.gz e foo_*.diff.gz para "
"compilar a fonte (nota: não existe .diff.gz para alguns pacotes que são "
"nativos a Debian)."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:705
msgid ""
"Once you have them (<xref linkend=\"sourcepkgs\"/>) and if you have the "
"<systemitem role=\"package\">dpkg-dev</systemitem> package installed, the "
"following command:"
msgstr ""
"Assim que os tiver ( xref linkend=\"sourcepkgs\"/>) e se tiver o pacote "
"<systemitem role=\"package\">dpkg-dev</systemitem> instalado, o seguinte "
"comando:"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:710
#, no-wrap
msgid "dpkg-source -x foo_version-revision.dsc\n"
msgstr "dpkg-source -x foo_versão-revisão.dsc\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:713
msgid ""
"will extract the package into a directory called <literal>foo-version</"
"literal>."
msgstr ""
"irá extrair o pacote para um directório chamado <literal>foo-versão</"
"literal>."

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:717
msgid ""
"If you just want to compile the package, you may cd into the <literal>foo-"
"version</literal> directory and issue the command"
msgstr ""
"Se você apenas deseja compilar o pacote, pode fazer cd para o directório "
"<literal>foo-versão</literal> e chamar o comando"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:721
#, no-wrap
msgid "dpkg-buildpackage -rfakeroot -b\n"
msgstr "dpkg-buildpackage -rfakeroot -b\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:724
msgid ""
"to build the package (note that this also requires the <systemitem "
"role=\"package\">fakeroot</systemitem> package), and then"
msgstr ""
"para compilar o pacote (note que isto requer também o pacote <systemitem "
"role=\"package\">fakeroot</systemitem>), e depois"

#. type: Content of: <chapter><section><screen>
#: en/pkg-basics.dbk:728
#, no-wrap
msgid "dpkg -i ../foo_version-revision_arch.deb\n"
msgstr "dpkg -i ../foo_versão-revisão_arquitectura.deb\n"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:731
msgid "to install the newly-built package(s)."
msgstr "para instalar os pacote(s) acabados de compilar."

#. type: Content of: <chapter><section><title>
#: en/pkg-basics.dbk:735
msgid "How do I create Debian packages myself?"
msgstr "Como é que Eu crio eu próprio pacotes Debian?"

#. type: Content of: <chapter><section><para>
#: en/pkg-basics.dbk:737
msgid ""
"For a more detailed description on this, read the New Maintainers' Guide, "
"available in the <systemitem role=\"package\">maint-guide</systemitem> "
"package or at <ulink url=\"https://www.debian.org/doc/devel-manuals#maint-"
"guide\"/>, or the Guide for Debian Maintainers, available in the <systemitem "
"role=\"package\">debmake-doc</systemitem> package or at <ulink url=\"https://"
"www.debian.org/doc/devel-manuals#debmake-doc\"/>."
msgstr ""
"Para uma descrição mais detalhada disto, leia New Maintainers' Guide, "
"disponível no pacote <systemitem role=\"package\">maint-guide</systemitem> "
"ou em <ulink url=\"https://www.debian.org/doc/devel-manuals#maint-guide\"/>, "
"ou o Guia para Debian Maintainers, disponível no pacote <systemitem "
"role=\"package\">debmake-doc</systemitem> ou em <ulink url=\"https://www."
"debian.org/doc/devel-manuals#debmake-doc\"/>."
